Titan!
======

Requirements
------------

### [Guard](https://github.com/guard/guard)
    
    # User space guard gem is required
    
    gem install guard
    gem install guard-shell
  
    
### [Angel](https://github.com/MichaelXavier/Angel)

    cabal install angel

### [Nemesis](https://github.com/nfjinjing/nemesis)

Automatically installed as a dependency of `nemesis-titan`.
    
Installation
------------
  
    cabal install nemesis-titan

Usage
-----

    mkdir my-project
    cd my-project


### Bootstrap

    curl -O https://raw.github.com/nfjinjing/nemesis-titan/master/vendor/Nemesis
    

### List available tasks

    runghc Nemesis
    

### Generate "Main.hs"

    runghc Nemesis Main/init


### Start the continuous integration process

    runghc Nemesis Main/titan


Check
------

Make some changes in `src/Main.hs` and see your code gets auto compiled and tested in the console.


